﻿using FLY.Thick.Base.UI;
using FLY.Thick.Blowing.IService;
using Misc;
using System.Windows;
using System.Windows.Controls;
using Unity;

namespace FLY.Thick.Blowing.UI.Fix.Client.UiModule
{
    /// <summary>
    /// ColumnRangeScanGraph.xaml 的交互逻辑
    /// </summary>
    public partial class ScanGraph2 : UserControl
    {
        ScanGraph2Vm viewModel;
        ScanGraphItemParam graphparam;
        public ScanGraph2()
        {
            InitializeComponent();
        }

        [InjectionMethod]
        public void Init(int id, IUnityContainer container,
            IBulkDbService bulkDbService, IBlowingService blowingService, ParamDictionary paramDictionary, IBlowingFixProfileService blowingProfileService)
        {
            //查找参数
            graphparam = ScanGraphParams.Current.Items.Find(p => p.ID == id);
            if (graphparam == null)
            {
                graphparam = new ScanGraphItemParam() { UiModule = "scangraph2", ID = id };
                ScanGraphParams.Current.Items.Add(graphparam);
                ScanGraphParams.Current.Save();
            }

            //获取设备
            viewModel = new ScanGraph2Vm();

            viewModel.Init(graphparam, bulkDbService, blowingService, paramDictionary, blowingProfileService.Param);

            this.DataContext = viewModel;

        }

        private void Button_info_click(object sender, RoutedEventArgs e)
        {
            if (!WdPassword.Authorize("GraphConfig"))
                return;

            WdScanGraphConfig window = new WdScanGraphConfig();
            window.Init(graphparam);
            window.Owner = FLY.ControlLibrary.COMMON.GetWindow(this);
            window.ShowDialog();
        }
    }











}
