﻿
using FLY.Thick.Blowing.IService;
using System.Windows.Controls;
using Unity;

namespace FLY.Thick.Blowing.UI.Fix.Client.UiModule
{
    /// <summary>
    /// ScanGraphCircular.xaml 的交互逻辑
    /// </summary>
    public partial class ScanGraphCircular : UserControl
    {
        ScanGraphCircularVm viewModel;
        ScanGraphCircularParam graphparam;
        public ScanGraphCircular()
        {
            InitializeComponent();
        }

        [InjectionMethod]
        public void Init(int id, IUnityContainer container,
            IBulkDbService bulkDbService, IBlowingService blowingService, IBlowingFixProfileService blowingProfileService)
        {
            //查找参数
            graphparam = ScanGraphCircularParams.Current.Items.Find(p => p.ID == id);
            if (graphparam == null)
            {
                graphparam = new ScanGraphCircularParam() { ID = id };
                ScanGraphCircularParams.Current.Items.Add(graphparam);
                ScanGraphCircularParams.Current.Save();
            }

            //获取设备
            viewModel = new ScanGraphCircularVm();

            viewModel.Init(graphparam, bulkDbService, blowingService, blowingProfileService.Param, graph);

            this.DataContext = viewModel;

        }
    }




}
