﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

using FObjBase;
using FLY.Thick.Blowing.IService;
using FLY.Thick.Blowing.OBJ_INTERFACE;
using Newtonsoft.Json;

namespace FLY.Thick.Blowing.Client
{
    public class ScanWarningServiceClient : FObjBase.Reflect.Reflect_SeviceClient, IScanWarningService
    {

        protected override Type InterfaceType => typeof(IScanWarningService);

        /// <summary>
        /// 
        /// </summary>
        /// <param name="serviceId"></param>
        public ScanWarningServiceClient(UInt32 serviceId) : base(serviceId) { }

        /// <summary>
        /// 
        /// </summary>
        /// <param name="serviceId"></param>
        /// <param name="connName"></param>
        public ScanWarningServiceClient(UInt32 serviceId, string connName) : base(serviceId, connName) { }


        #region IScanWarningService
        /// <summary>
        /// 使能
        /// </summary>
        public bool Enable { get; set; }

        /// <summary>
        /// 自动目标值
        /// </summary>
        public bool IsAutoTarget { get; set; }

        /// <summary>
        /// 连续N个点，大于规格线（公差）才算报警
        /// </summary>
        public int AlarmCnt_Tolerance { get; set; }
        #endregion

        public void Apply() 
        {
            Call(nameof(Apply));
        }
    }
}
