﻿using FLY.Thick.Base.IService;
using FLY.Thick.Blowing.Common;
using FObjBase;
using FObjBase.Reflect;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FLY.Thick.Blowing.IService
{
    public interface IBlowingFixProfileService
    {
        [PropertyPush]
        BlowingFixProfileParam Param { get; }

        /// <summary>
        /// 应用 & 保存
        /// </summary>
        void Apply(BlowingFixProfileParam param);

        /// <summary>
        /// 获取产品列表, 返回类型为 List&lt;string&gt;
        /// </summary>
        /// <param name="asyncDelegate"></param>
        /// <param name="asyncContext"></param>
        [Call(typeof(List<string>))]
        void GetList(AsyncCBHandler asyncDelegate, object asyncContext);

        /// <summary>
        /// 删除指定产品
        /// </summary>
        /// <param name="productname"></param>
        void Del(string productname);

        /// <summary>
        /// 读取指定产品
        /// </summary>
        /// <param name="productname"></param>
        /// <param name="asyncDelegate"></param>
        /// <param name="asyncContext"></param>
        [Call(typeof(BlowingFixProfileParam))]
        void Read(string productname, AsyncCBHandler asyncDelegate, object asyncContext);
    }
}
