﻿using FLY.OBJComponents.Server;
using FLY.OBJComponents.Server.OBJProxy;
using FLY.Thick.Base.Server.OBJProxy;
using FLY.Thick.Blowing.IService;
using FLY.Thick.Blowing.OBJ_INTERFACE;

namespace FLY.Thick.Blowing.Server.OBJProxy
{
    public class OBJProxy
    {
        public OBJProxy(int objsys_idx, TDGage gage)
        {
            TDGage mGage = gage;

            var profileOBJProxy = new FObjBase.Reflect.Reflect_Proxy(objsys_idx, OBJ_INTERFACE_ID.BFPROFILE_ID, typeof(IBlowingFixProfileService), mGage.profile);
            var curveOBJProxy = new Curve_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.CURVE_ID, mGage.curve);
            var initparamOBJProxy = new Initparam_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.INITPARAM_ID, mGage.initParam);

            var dynAreaOBJProxy = new DynArea_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.DYNAREA_ID, mGage.dynArea);

            var flyADOBJProxy = new FlyAD_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.FLYAD_ID, mGage.flyAd, mGage.AD2Thick);

            var fixOBJProxy = new Fix_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.FIX_ID, mGage.gmFix);



            var blowingOBJProxy = new FObjBase.Reflect.Reflect_Proxy(objsys_idx, OBJ_INTERFACE_ID.RENZIJIA_ID, typeof(IBlowingFixService), mGage.gmRenZiJiaFix);

            var bDetectOBJProxy = new FObjBase.Reflect.Reflect_Proxy(objsys_idx, OBJ_INTERFACE_ID.BDETECT_ID, typeof(IBlowingDetectService), mGage.gmRenZiJiaFix.mPDetect);

            var scanWarningOBJProxy = new FObjBase.Reflect.Reflect_Proxy(objsys_idx, OBJ_INTERFACE_ID.SCANWARNING_ID, typeof(IScanWarningService), mGage.scanWarning);

            var bulkDbOBJProxy = new FObjBase.Reflect.Reflect_Proxy(objsys_idx, OBJ_INTERFACE_ID.BULKDB_ID, typeof(IBulkDbService), mGage.bulkDb);

            var warnSystemOBJProxy = new FLY.OBJComponents.Server.OBJProxy.WarningSystem_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.WARNING_OBJ_ID, mGage.warning);

            var jsonDist_OBJProxy = new JsonDist_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.JSONDIST_OBJ_ID, new JsonDist());

            blowingOBJProxy.CurrObjSys.Start_Conn_Server(
                mGage.sysParam.LocalEP);
        }
    }
}
