﻿using FLY.Thick.BlowingScan.IService;
using FLY.Thick.BlowingScan.Server;
using FLY.Thick.BlowingScan.Server.OBJProxy;
using Microsoft.Win32;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Reflection;
using System.ServiceModel.Syndication;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace FLY.Thick.BlowingScan.UI.Server
{
    /// <summary>
    /// MainWindow.xaml 的交互逻辑
    /// </summary>
    public partial class MainWindow : FLY.ControlLibrary.WindowBigClose
    {
        FLY.AppHelper.WindowNotifyIconHelper notifyiconhelper;
        TDGage mGage;
        OBJProxys mOBJProxy;
        public MainWindow()
        {
            InitializeComponent();

            mGage = new TDGage("Gage1");
            mOBJProxy = new OBJProxys(0, mGage);

            Assembly asm = Assembly.GetExecutingAssembly();
            string version = "v" + asm.GetName().Version.ToString();

            this.Title = "枫莱尔--吹膜扫描测厚仪服务器" + " " + version;
            notifyiconhelper = new AppHelper.WindowNotifyIconHelper(this, this.Title);

            this.Hide();

            FObjBase.PollModule.Current.Start();

            this.DataContext = mGage.sysParam;
        }
        List<Common.FlyData_BlowingScan> mBufList;
        private void btnSaveBufListClick(object sender, RoutedEventArgs e)
        {
            mBufList = mGage.gmRenZiJiaScan.mBufList.ToList();
            this.Dispatcher.BeginInvoke(new Action(Save2));
        }
        void Save2() {
            SaveFileDialog sfd = new SaveFileDialog();
            sfd.DefaultExt = ".csv";
            sfd.AddExtension = true;
            
            if (sfd.ShowDialog() == true)
            {
                Task.Factory.StartNew(() =>
                {
                    Save(sfd.FileName);
                });
            }
        }
        bool Save(string path)
        {
            try
            {
                using (StreamWriter sw = new StreamWriter(path, false, Encoding.GetEncoding("GB2312")))
                {
                    bool hasHeader = false;
                    foreach (var f in mBufList)
                    {
                        if (!hasHeader)
                        {
                            hasHeader = true;
                            sw.WriteLine(f.GetHeader());
                        }
                        sw.WriteLine(f.ToString());
                    }
                    sw.Flush();
                    sw.Close();
                }
                return true;
            }
            catch (Exception e)
            {
                return false;
            }
        }
    }
}
