﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using FObjBase;
using FLY.Thick.BlowingScan.OBJ_INTERFACE;
using FLY.Thick.BlowingScan.IService;
using Misc;
using FLY.Thick.Blowing.Client;
using Newtonsoft.Json;

namespace FLY.Thick.BlowingScan.Client
{
    /// <summary>
    /// 
    /// </summary>
    public class BlowingScanServiceClient : BlowingServiceClient, IBlowingScanService
    {

        protected override Type InterfaceType => typeof(IBlowingScanService);

        /// <summary>
        /// 
        /// </summary>
        public BlowingScanServiceClient(UInt32 serverid) : base(serverid) { }


        public BlowingScanServiceClient(UInt32 serviceId, string connName) : base(serviceId, connName) { }
        #region IRenZiJiaScanService
        /// <summary>
        /// 多少次扫描解一次方程
        /// </summary>
        public int SolveCnt { get; set; }


        /// <summary>
        /// 探头宽度，用于解方程，可以与实际不符合 单位脉冲
        /// </summary>
        public int SensorWidth { get; set; }


        /// <summary>
        /// 平滑
        /// </summary>
        public int Smooth { get; set; }

        /// <summary>
        /// 缓冲区数据量
        /// </summary>
        public int BufListCount { get; set; }
        /// <summary>
        /// 缓冲区最后一个记录序号
        /// </summary>
        public int BufListLastNo { get; set; }
        #endregion


        /// <summary>
        /// 获取 缓冲区列表
        /// </summary>
        /// <param name="asyncDelegate">retdata = GetBufListReponse</param>
        /// <param name="asyncContext"></param>
        public void GetBufList(int no, AsyncCBHandler asyncDelegate, object asyncContext)
        {
            Call(nameof(GetBufList), new { no }, asyncDelegate, asyncContext);
        }
    }
}


