﻿using FLY.Thick.Blowing.IService;
using FLY.Thick.BlowingScan.Common;
using FObjBase;
using FObjBase.Reflect;
using Misc;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace FLY.Thick.BlowingScan.IService
{
    /// <summary>
    /// 吹膜扫描
    /// </summary>
    public interface IBlowingScanService : IBlowingService
    {
        /// <summary>
        /// 平滑
        /// </summary>
        int Smooth { get; set; }


        /// <summary>
        /// 探头宽度，用于解方程，可以与实际不符合 单位脉冲
        /// </summary>
        int SensorWidth { get; set; }
        /// <summary>
        /// 多少次扫描解一次方程
        /// </summary>
        int SolveCnt { get; set; }
        
        /// <summary>
        /// 缓冲区数据量
        /// </summary>
        int BufListCount { get; }
        /// <summary>
        /// 缓冲区最后一个记录序号
        /// </summary>
        int BufListLastNo { get; }

        /// <summary>
        /// 获取 缓冲区列表
        /// </summary>
        /// <param name="asyncDelegate"></param>
        /// <param name="asyncContext"></param>
        [Call(typeof(GetBufListReponse))]
        void GetBufList(int no, AsyncCBHandler asyncDelegate, object asyncContext);
    }

    /// <summary>
    /// 缓冲列表
    /// </summary>
    public class GetBufListReponse
    {
        public int no;
        public FlyData_BlowingScan data;
    }
}
