﻿using FLY.OBJComponents.Server;
using FLY.OBJComponents.Server.OBJProxy;
using FLY.Thick.Base.Server.OBJProxy;
using FLY.Thick.Blowing.IService;
using FLY.Thick.BlowingScan.IService;
using FLY.Thick.BlowingScan.OBJ_INTERFACE;

namespace FLY.Thick.BlowingScan.Server.OBJProxy
{
    /// <summary>
    /// 
    /// </summary>
    public class OBJProxys
    {
        public OBJProxys(int objsys_idx, TDGage gage)
        {
            TDGage mGage = gage;

            var profileOBJProxy = new FObjBase.Reflect.Reflect_Proxy(objsys_idx, OBJ_INTERFACE_ID.PROFILE_ID, typeof(IBlowingFixProfileService), mGage.profile);

            var borderSearchOBJProxy = new BorderSearch_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.BORDERSEARCH_ID, mGage.borderSearch);

            var curveOBJProxy = new Curve_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.CURVE_ID, mGage.curve);

            var dynAreaOBJProxy = new DynArea_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.DYNAREA_ID, mGage.dynArea);

            var getSampleOBJProxy = new GetSample_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.GET_SAMPLE_ID, mGage.getSample);

            var initParamOBJProxy = new Initparam_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.INITPARAM_ID, mGage.initParam);

            var scanCorrOBJProxy = new ScanCorr_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.SCANCORR_ID, mGage.gmScanCorr);

            var flyADOBJProxy = new FlyAD_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.FLYAD_ID, mGage.flyAd, mGage.AD2Thick);

            var gageInfoOBJProxy = new GageInfo_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.GAGEINFO_ID, mGage.gmGageInfo);

            var fixOBJProxy = new Fix_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.FIX_ID, mGage.gmFix);

            var warnSystemOBJProxy = new FLY.OBJComponents.Server.OBJProxy.WarningSystem_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.WARNING_OBJ_ID, mGage.warning);

            var jsonDist_OBJProxy = new JsonDist_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.JSONDIST_OBJ_ID, new JsonDist());



            var gageOBJProxy = new TDGage_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.TDGAGE_ID, mGage);

            var blowingOBJProxy = new FObjBase.Reflect.Reflect_Proxy(objsys_idx, OBJ_INTERFACE_ID.RENZIJIA_ID, typeof(IBlowingScanService), mGage.gmRenZiJiaScan);

            var bDetectOBJProxy = new FObjBase.Reflect.Reflect_Proxy(objsys_idx, OBJ_INTERFACE_ID.BDETECT_ID, typeof(IBlowingDetectService), mGage.gmRenZiJiaScan.mPDetect);

            var scanWarningOBJProxy = new FObjBase.Reflect.Reflect_Proxy(objsys_idx, OBJ_INTERFACE_ID.SCANWARNING_ID, typeof(IScanWarningService), mGage.scanWarning);

            var bulkDbOBJProxy = new FObjBase.Reflect.Reflect_Proxy(objsys_idx, OBJ_INTERFACE_ID.BULKDB_ID, typeof(IBulkDbService), mGage.bulkDb);

            gageOBJProxy.CurrObjSys.Start_Conn_Server(
                mGage.sysParam.LocalEP);
        }
    }
}
